openSUSE 安全更新:apache2-mod_php5 (openSUSE-SU-2010:1012-1)

medium Nessus 插件 ID 53694
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 openSUSE 主机缺少安全更新。

描述

未充分处理 utf8_decode() 函数中的特定字符序列,这可能被用于执行跨站脚本 (XSS) 攻击 (CVE-2010-3870)。 php5 也可能在向具有参数 FILTER_VALIDATE_EMAIL 的 filter_var() 传递长邮件地址时占用大量内存并崩溃 (CVE-2010-3710)。

解决方案

更新受影响的 apache2-mod_php5 程序包。

另见

https://bugzilla.novell.com/show_bug.cgi?id=650700

https://lists.opensuse.org/opensuse-updates/2010-12/msg00006.html

插件详情

严重性: Medium

ID: 53694

文件名: suse_11_2_apache2-mod_php5-101110.nasl

版本: 1.6

类型: local

代理: unix

发布时间: 2011/5/5

最近更新时间: 2021/1/14

依存关系: ssh_get_info.nasl

风险信息

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: Medium

基本分数: 6.8

矢量: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

漏洞信息

CPE: cpe:2.3:o:novell:opensuse:11.2:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:apache2-mod_php5:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-bcmath:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-bz2:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-calendar:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-ctype:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-curl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-dba:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-dom:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-enchant:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-exif:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-fastcgi:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-fileinfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-ftp:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-gd:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-gettext:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-gmp:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-iconv:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-imap:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-intl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-json:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-ldap:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-mbstring:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-mcrypt:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-mysql:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-odbc:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-openssl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-pcntl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-pdo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-pear:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-pgsql:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-phar:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-posix:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-pspell:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-readline:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-shmop:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-snmp:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-soap:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-sockets:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-sqlite:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-suhosin:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-sysvmsg:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-sysvsem:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-sysvshm:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-tidy:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-tokenizer:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-wddx:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-xmlreader:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-xmlrpc:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-xmlwriter:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-xsl:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-zip:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-zlib:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:php5-hash:*:*:*:*:*:*:*

必需的 KB 项: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

补丁发布日期: 2010/11/10

参考资料信息

CVE: CVE-2010-3870, CVE-2010-3710